<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/DefaultFrontend.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/ChatPanel.inc.php" );

	class ChatPage extends DefaultFrontend {
		public function __construct( $id = "MainPage" , $parent = null , $pagetype = "chat"  ) {
			parent::__construct( $id , $parent , $pagetype );
			FrontendPage::addTicker( "chat_messages" );
			$this->oChatPanel = new ChatPanel( "content_widget" , $this );
		}
	}

?>
